commit:     08bc829fb2deace71ce4df78859e828cfe8c773a
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 23 02:57:38 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Wed Jan 23 07:16:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08bc829f

dev-python/memory_profiler: version bump to 0.55.0

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 dev-python/memory_profiler/Manifest                |  1 +
 .../memory_profiler/memory_profiler-0.55.0.ebuild  | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/memory_profiler/Manifest 
b/dev-python/memory_profiler/Manifest
index bc606b32e13..68353143866 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1,2 +1,3 @@
 DIST memory_profiler-0.47.tar.gz 33725 BLAKE2B 
66fc0e5c579febeea9dcd5132caa6fdbccdb5cb0a2c9083f5abf8aa03baaaafe1f77f72cdbe4d5384c6ce27fd4760511f9a947fda46eee1d81e7125c1dcd2970
 SHA512 
110e16ecad33068d31cf53b2f0b775d65230d51345f24a4d7d3cafafb706b10a0c7e2d98a799256b0366f1bafa9b69c060222595bb4eb9e1689301428a36fc3d
 DIST memory_profiler-0.54.0.tar.gz 31376 BLAKE2B 
4c89a046bdce36a139448dde45c8cf952aaa8fe8e2089bf9574a8fb2ed1abb89991e54f59742b0ea1ae5315378c0799ef140752549f9a8d13a91bf0ceb021984
 SHA512 
ec5735b7e41e706ea35ce9fe0dd3963c51e50e5bdf7f1871c51bbbb2a0ae75abcdba23abd3a14979c26ce19e7ce7d2cf6782aefc77e0c17cfe4da573a6e249ae
+DIST memory_profiler-0.55.0.tar.gz 40951 BLAKE2B 
ed6eefa0a522eaddfd0ebf3b118a57b7bcf6c7455057d1a9e891e826ba2b32a671fd86357d073f45c36ae5db418987a55e90a908cbb4aba3b3f972ba4580f9f6
 SHA512 
9f280af163b124809d0276b2a473f66d9f11071f38afbabf7247d4e49f120c137f69dde2cc3fb27fcc88cfc6dc71355ba01efeb102098c401c7e953462ed4a1b

diff --git a/dev-python/memory_profiler/memory_profiler-0.55.0.ebuild 
b/dev-python/memory_profiler/memory_profiler-0.55.0.ebuild
new file mode 100644
index 00000000000..c3b690f74c1
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.55.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="https://pypi.org/project/memory_profiler/ 
https://github.com/fabianp/memory_profiler";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# dev-lang/mercury: collision on 'mprof'
+# https://bugs.gentoo.org/571176
+RDEPEND="
+       dev-python/psutil[${PYTHON_USEDEP}]
+       !dev-lang/mercury
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       ${EPYTHON} -m memory_profiler test/test_func.py || die
+       ${EPYTHON} -m memory_profiler test/test_loop.py || die
+       ${EPYTHON} -m memory_profiler test/test_as.py || die
+       ${EPYTHON} -m memory_profiler test/test_global.py || die
+       ${EPYTHON} -m memory_profiler test/test_precision_command_line.py || die
+       ${EPYTHON} -m memory_profiler test/test_gen.py || die
+       if python_is_python3; then
+               ${EPYTHON} -m memory_profiler test/test_unicode.py || die
+       fi
+       ${EPYTHON} test/test_tracemalloc.py || die
+       ${EPYTHON} test/test_import.py || die
+       ${EPYTHON} test/test_memory_usage.py || die
+       ${EPYTHON} test/test_precision_import.py || die
+}

Reply via email to